import Foundation
import Vapor
import Clairvoyant

extension MultiThreadedEventLoopGroup: AsyncScheduler {

    public func schedule(asyncJob: @escaping @Sendable () async throws -> Void) {
        _ = any().makeFutureWithTask(asyncJob)
    }
}
